Bug 305874 - Docks break showing desktop state
Summary: Docks break showing desktop state
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9.1
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-27 12:29 UTC by Thomas Lübking
Modified: 2012-08-28 19:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lübking 2012-08-27 12:29:53 UTC
Docks that do not "belong to the desktop" (ie. are in the same clientgroup) break the showing desktop state, while regular docks tend to be either utility windows or even rather shell accomplishments (like 3rd party dockers)
Comment 1 Thomas Lübking 2012-08-28 19:49:47 UTC
Git commit 6e0ae0cca2c6697efee747108a82aa7a0fcc55b7 by Thomas Lübking.
Committed on 26/08/2012 at 16:16.
Pushed by luebking into branch 'KDE/4.9'.

ignore dockers for showingDesktop state

also use a common funciton to decide whether or
not to break the state
FIXED-IN: 4.9.1

M  +16   -12   kwin/client.cpp
M  +1    -0    kwin/client.h
M  +1    -10   kwin/manage.cpp

http://commits.kde.org/kde-workspace/6e0ae0cca2c6697efee747108a82aa7a0fcc55b7
Comment 2 Thomas Lübking 2012-08-28 19:51:33 UTC
Git commit 3433b31a085a6d3f9439532777cab8fdf1cdf663 by Thomas Lübking.
Committed on 26/08/2012 at 16:16.
Pushed by luebking into branch 'master'.

ignore dockers for showingDesktop state

also use a common funciton to decide whether or
not to break the state
FIXED-IN: 4.9.1

M  +16   -12   kwin/client.cpp
M  +1    -0    kwin/client.h
M  +1    -10   kwin/manage.cpp

http://commits.kde.org/kde-workspace/3433b31a085a6d3f9439532777cab8fdf1cdf663